#include "vision.h"
#include <iostream>

using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    bool mv = 1;
    int n = v.size();
    for (int i = 1; i < n; ++i) {
        if (v[i - 1] > v[i] && v[i - 1] != 3 && v[i] != 1) {
            mv = 0;
        }
    }

    if (v.size() == 3) {
        return (v[0] == 2 ? 0 : 1);
    }

    if (v.size() == 5) {
        return (v[0] == 1 ? 0 : 4);
    }

    if (v.size() == 7) {
        return (v[1] == 1 ? 6 : 0);
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
